Package wx :: Package lib :: Module evtmgr

[frames | no frames]

## Module wx.lib.evtmgr

A module that allows multiple handlers to respond to single wxWidgets events. This allows true NxN Observer/Observable connections: One event can be received by multiple handlers, and one handler can receive multiple events.

There are two ways to register event handlers. The first way is similar to standard wxPython handler registration:

    from wx.lib.evtmgr import eventManager
    eventManager.Register(handleEvents, EVT_BUTTON, win=frame, id=101)

There's also a new object-oriented way to register for events. This invocation is equivalent to the one above, but does not require the programmer to declare or track control ids or parent containers:

    eventManager.Register(handleEvents, EVT_BUTTON, myButton)

This module is Python 2.1+ compatible.

Classes
`EventAdapter` | A class that adapts incoming wxWindows events to Publish/Subscribe messages.
`EventMacroInfo` | A class that provides information about event macros.
`EventManager` | This is the main class in the module, and is the only class that the application programmer needs to use.
`FakeWindow` | Used internally by the EventMacroInfo class.
`MessageAdapter` | A class that adapts incoming Publish/Subscribe messages to wxWindows event calls.

Variable Summary
`EventManager` | `eventManager` = `<wx.lib.evtmgr.EventManager instance at 0...`

Variable Details

### eventManager

  Type:
    `EventManager`
  Value:

        <wx.lib.evtmgr.EventManager instance at 0xb5a3170c>

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:08 2007 | http://epydoc.sf.net